:root {
    --primary-color: #002C4A		;
    --secondary-color: #7bd9a1;

    --bg-primary: #002C4A		;
    --bg-secondary: #7bd9a1;
    --text-color: #333;
    --border-color: #ccc;
    --hover-color: #002C4A		;
    --button-bg-color: #002C4A		;
    --button-text-color: white;
    --button-border-color: #002C4A		;
    --button-hover-bg-color: #002C4A		;
    --button-hover-border-color: #002C4A		;
    --button-hover-text-color: white;
    --link-color: #002C4A	;
    --link-hover-color: #0056b3;
    --list-item-bg-color: #f9f9f9;
    --list-item-border-color: #ddd;
    --list-item-padding: 5px;
    --list-item-border-bottom: 1px solid #ddd;
}

body {
    font-family: Arial, sans-serif;
    width: 400px;
    background-color: #f9f9f9;
    margin: 0 auto;
}
main {
    height:100vh;
}
.container {
    text-align: center;
}

h2 {
    color: #333;
}

input {
    
    padding: 5px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.bg-primary {
    background-color: var(--bg-primary)!important;
}

.bg-secondary {
    background-color: var(--bg-secondary)	!important;
}

.btn-primary, .btn-outline-primary, .btn-outline-primary:hover, .btn-primary:hover {
    background-color: var(--bg-primary)	!important;
    border-color: var(--primary-color)		!important;
    color: var(--button-text-color)	!important;
    border-radius: 5px;
    cursor: pointer;
}

.btn-outline-primary {
    background-color: transparent!important;
    color: var(--primary-color)		!important;
}


button {
    border: none;
}

.text-primary {
    color:#002C4A		!important;
}



.btn-primary:hover, .btn-outline-primary:hover {

}
button.btn-primary:hover, button.btn-outline-primary:hover {
    background-color:var(--button-hover-bg-color)		;
    border-color: var(--button-hover-border-color)		;
    color: var(--button-text-color)	!important;
}

ul {
    list-style-type: none;
    padding: 0;
}

    li {
        padding: 5px;
        border-bottom: 1px solid #ddd;
    }

    a {
        text-decoration: none;
        color: #002C4A	;
    }

a:hover {
    text-decoration: underline;
}

body {
    background-color: #f8f9fa;
    overflow: ; /* Prevent scrolling of the body */
    margin: 0; /* Remove default margin */
    padding: 0; /* Remove default padding */
    height: 100vh; /* Full height of the viewport */
    padding-bottom: 70px; /* Add padding to the bottom for the fixed navbar */
  }

  /*media queries for responsiveness*/
    @media (min-width: 769px) {
        body {
        padding-bottom: 0; /* Adjust padding for smaller screens */
        }
    }


  #navbarBottom {
    position: fixed;

    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1030; /* Bootstrap's z-index for fixed navbar */
  }
  .navbar-nav .nav-link {
    flex: 1;
    text-align: center;
  }
  .navbar-nav .nav-link svg {
    display: block;
    margin: 0 auto;
  }
  .navbar-nav .nav-link span {
    font-size: 12px;
  }


  body { font-family: sans-serif; margin: 0; }
  input, select { margin: 5px; padding: 5px; }
  button.locate-btn { font-size: 18px; padding: 4px 8px; cursor: pointer; }
  #map { height: 500px; margin-top: 20px; }
  .point-row { display: flex; align-items: center; margin-top: 8px; }

  .step { display: none; }
  .step.active { display: block; }  
  
  .navbar-nav .nav-item {
 
 max-width: 20%; /* Ajustez la largeur maximale selon vos besoins */
 text-align: center; /* Centrer le texte */

}

.navbar-nav .nav-item .nav-link {
  display: flex; /* Utiliser flexbox pour centrer le contenu */
  flex-direction: column; /* Aligner le texte en colonne */
  align-items: center; /* Centrer horizontalement */
  justify-content: center; /* Centrer verticalement */
  text-decoration: none; /* Supprimer le soulignement du lien */
  font-size: 14px; /* Taille de la police */
  padding: 10px; /* Espacement interne */
  transition: background-color 0.3s; /* Transition pour l'effet de survol */
  border-radius: 5px; /* Coins arrondis */
  margin: 0 5px; /* Espacement entre les éléments */
  overflow: hidden; /* Masquer le débordement de texte */
  text-overflow: ellipsis; /* Ajouter des points de suspension si le texte déborde */
  white-space: nowrap; /* Empêcher le retour à la ligne */
  max-width: 100%; /* Ajustez la largeur maximale selon vos besoins */
  text-align: center; /* Centrer le texte */
  transition: background-color 0.3s; /* Transition pour l'effet de survol */
  border-radius: 5px; /* Coins arrondis */
  margin: 0 5px; /* Espacement entre les éléments */
  overflow: hidden; /* Masquer le débordement de texte */
  text-overflow: ellipsis; /* Ajouter des points de suspension si le texte déborde */
  white-space: nowrap; /* Empêcher le retour à la ligne */
}

  
  
  .navbar-nav .nav-item .nav-link span {
 white-space: nowrap;  
 text-overflow: ellipsis;  
  max-width: 100%; /* Ajustez la largeur maximale selon vos besoins */
  text-align: center; /* Centrer le texte */
  display: none!important; /* Masquer le texte par défaut pour les petits écrans */

}
/* Afficher le texte sur les écrans plus grands */
@media (min-width: 768px) {
  .navbar-nav .nav-item .nav-link span {
      display: block; /* Afficher le texte sur les écrans plus grands */
  }
  .navbar-nav .nav-item .nav-link svg {
      margin-bottom: 5px; /* Espacement entre l'icône et le texte */
  }
}

